1. Opportunities
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patters
    • Support and technical support
  • CRM
    • Properties
      • List properties
      • Properties
      • Customers
      • Companies
      • Work addresses
      • Customers
      • Companies
      • Work addresses
      • Properties
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
  • Sales
    • Opportunities
      • List opportunities
        GET
      • Opportunities
        GET
      • Opportunities
        POST
      • Opportunities
        PATCH
      • Opportunities
        DELETE
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Actions
      • Put on hold
      • Mark as free of charge
      • Mark as aborted
      • Change job stage
      • Mark as complete
      • Remove on hold
  • Settings
    • List titles
      GET
    • List customer types
      GET
    • List advertising types
      GET
    • List telephone types
      GET
    • List business units
      GET
    • List user groups
      GET
    • List opportunity pipelines
      GET
    • List opportunity stages
      GET
    • List provinces
      GET
    • List job description templates
      GET
  • Webhooks
    • Webhooks
    • Example PHP script
    • Webhooks
    • Webhooks
  1. Opportunities

Opportunities

Developing
POST
/properties/{propertyID}/opportunities

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢201Success
application/json
Headers

Bodyapplication/json

🟠400400 Bad request
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
🟠429429 Too many requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/properties/1110/opportunities' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "opportunityTemplateID": 1,
    "notes": "laborum amet jun 19th",
    "skills": [
        {
            "id": 1
        }
    ],
    "salesPersonID": 1,
    "pipelineID": 4,
    "customerContactID": 190,
    "assets": [],
    "customerReference": "ABC123",
    "userGroupID": 1,
    "tags": [
        "label1"
    ],
    "siteContactID": 190,
    "reportingLineID": 1909278517571076,
    "businessUnitID": 1
}'
Response Response Example
201 - Example 1
{
    "id": "string",
    "createdByType": "string",
    "createdByID": 0,
    "createdByUser": "string",
    "createdOnDateTime": "2019-08-24T14:15:22.123Z",
    "lastUpdatedOnDateTime": "2019-08-24T14:15:22.123Z",
    "propertyID": 0,
    "type": "opportunity",
    "description": "string",
    "opportunityTemplateID": 0,
    "notes": "string",
    "skills": [
        {
            "id": 0,
            "skill": "string"
        }
    ],
    "salesPerson": {
        "firstName": "string",
        "lastName": "string",
        "landline": "string",
        "mobile": "string",
        "email": "user@example.com"
    },
    "salesPersonID": 0,
    "status": "string",
    "pipeline": "string",
    "pipelineID": 0,
    "stage": "string",
    "stageID": 0,
    "customerContact": {
        "firstName": "string",
        "lastName": "string",
        "landline": "string",
        "mobile": "string",
        "email": "user@example.com"
    },
    "customerContactID": 0,
    "assets": [
        0
    ],
    "customerReference": "string",
    "userGroup": "string",
    "userGroupID": 0,
    "tags": [
        "string"
    ],
    "siteContact": {
        "firstName": "string",
        "lastName": "string",
        "landline": "string",
        "mobile": "string",
        "email": "user@example.com"
    },
    "siteContactID": 0,
    "reportingLine": "string",
    "reportingLineID": 0,
    "businessUnit": "string",
    "businessUnitID": 0,
    "links": {
        "self": "string",
        "property": "string",
        "proposal": "string"
    }
}
Modified at 2026-06-29 09:32:34
Previous
Opportunities
Next
Opportunities
Built with